Subject: bug#6541: 23.1; diff-file-next stops before EOF

From: Tom Tromey <[email-masked]>
Date: Wed, 30 Jun 2010 10:12:06 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I did diff-file-next at the start of the last file in a diff.
I got an error.
I think it would be friendlier, and more emacs-like, to go to the end of
the file in this case.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.6)
 of 2010-04-01 on x86-01.phx2.fedoraproject.org
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  auto-fill-function: tjt-c++-do-auto-fill
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
SPC p r e p p i n g SPC t h e SPC p r e - e x p a n 
d SPC p a t c h SPC s e p a r a t e l y <return> I 
S-SPC c a n SPC e m a i l SPC i t SPC t o SPC y o u 
SPC s o o n e r SPC i f SPC y o u SPC e n e d SPC i 
t M-b M-b C-f C-t C-e <return> <f10> <f10> <f10> <f10> 
<f10> C-z n C-x b * v c - d i f <tab> <return> C-u 
C-u C-n C-u C-n C-c C-c C-x o C-x o C-c a C a l l SPC 
p r e SPC <backspace> - e x p a n d SPC h o o k . C-x 
o C-v C-v C-u C-u C-n C-c C-c C-c a l i M-/ . C-k C-x 
s y y n <switch-frame> <switch-frame> C-x o C-x 1 C-c 
b C-z o C-z o C-a C-u C-n C-u C-n C-p C-n f C-/ M-f 
C-h c <C-return> <C-return> C-h c <return> M-< C-c 
b C-z o <f10> <f10> <f10> <f10> <f10> C-z n C-z o C-g 
C-n C-n C-SPC C-v C-v C-v C-u C-n C-u C-n C-n C-n C-x 
C-x C-w C-SPC C-s f i x u p _ C-w C-s C-s C-s C-s C-s 
C-a C-n C-n C-n C-n C-w C-v C-v C-v C-v C-v C-v M-v 
M-{ M-{ C-u C-p C-SPC M-} M-} M-} M-} C-u C-u C-n C-h 
c M-} C-u C-SPC C-SPC M-} M-} M-} M-} C-h k M-} C-z 
o C-z o C-x 1 M-} C-z o M-x r e p o r t - e m <tab> 
b <tab> <return>

Recent messages:
Mark set
Quit
Mark set
Mark activated
Mark set
diff-file-next: No next file
M-} runs the command diff-file-next
Mark set
diff-file-next: No next file
Type C-x 1 to delete the help window.
diff-file-next: No next file
Tom